Subject: Re: [sipcore] Misalignments between the P- header definitions in RFC 3455, RFC 7315 and 3GPP TS 24.229: P-Access-Network-Info - changes done in 7315 on purpose

From: Christer Holmberg <[email-masked]>
Date: Tue, 8 Dec 2015 10:35:15 +0000

Hi,

...

>>                      The P-Called-Party-ID header field can appear in
>>                      SIP INVITE, OPTIONS, PUBLISH, SUBSCRIBE, and MESSAGE methods and in all
>>                      responses associated with those methods.
>
> For P-Called-Party-ID, Table 1 in RFC 3455 didn't list PUBLISH but did list REFER, which is not included in the the text above.

Regarding PUBLISH, I found the following in Appendix A of 7315:

                      "9.   In Section 5.7, it was added that the P-Called-Party-ID can
                              appear in the PUBLISH method."

So, based on that, it seems like 7315 was not intended to be aligned with 3455 - additions were allowed.

So, while the errata still would add REFER, it would NOT remove PUBLISH.

I did not find text in Appendix A regarding the other misalignments between 7315 and 3455, so the question is whether we'll still treat them as mistakes and fix them in the errata.

Regards,

Christer